<?php

namespace App\Http\Controllers;

use App\Traits\UtilityTrait;
use GuzzleHttp\Client;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    use UtilityTrait;
    public function __construct()
    {
        $root_url = getenv("WHEATBAKER_API_URL");
        $this->client = new Client([
            'base_uri'=>$root_url,
            'headers'=>['Accept' => 'application/json',
                'Content-Type'=>'application/json',
            ]
        ]);
    }

    public function index()
    {
        return view('index');
    }

    public function faq()
    {
        return view('faq');
    }

    public function contact()
    {
        return view('contact');
    }

    public function sendMessage(Request $request)
    {
        $request->validate([
            'first_name'=>'required',
            'last_name'=>'required',
            'email'=>'required|email',
            'phone_number'=>'required',
            'message'=>'required',
        ]);
       $contact_response = $this->sendContactMessage((object)$request->all());

       if($contact_response->status_code==200)
       {
           if($contact_response->response->status==1)
           {
               return redirect()->back()->withMessage("You message has been sent successfully.");
           }
           return redirect()->back()->withError($contact_response->response->message);
       }
        return redirect()->back()->WithError("An unknown error occurred, please try again.");
    }

    public function states(Request $request)
    {
        $states_response = $this->getStates($request->country_id);
        if($states_response->status_code==200)
        {
            return response()->json($states_response->response);
        }

        return resposne()->json($states_response);
    }

    public function cities(Request $request)
    {
        $cities_response = $this->getCities($request->state_id);
        if($cities_response->status_code==200)
        {
            return response()->json($cities_response->response);
        }

        return resposne()->json($cities_response);
    }


}
