<?php


namespace App\Traits;


use GuzzleHttp\Exception\ClientException;
use Illuminate\Support\Facades\Cookie;

trait AccountTrait
{
    use ErrorTrait;

    public function userNotifications($read,$page)
    {
        try{
            $result = $this->client->get('notifications?read='.$read."&page=".$page, [
                'headers'=>[ 'Authorization' => 'Bearer ' . Cookie::get("api_token")]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }

    }


    public function getUserStatement(object $statment_range)
    {
        try{
            $result = $this->client->post('statement', [
                'json'=>[
                    'from_date'=>$statment_range->from_date,
                    'to_date'=>$statment_range->to_date
                ],
                'headers'=>[ 'Authorization' => 'Bearer ' . Cookie::get("api_token")]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }
    }

    public function deleteUserNotification($id)
    {
        try{
            $result = $this->client->post('notifications/'.$id, [
                'json'=>[

                ],
                'headers'=>[ 'Authorization' => 'Bearer ' . Cookie::get("api_token")]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {

            return $this->formulateErrorResponse($ex);
        }
    }

    public function makeUserNotification($notification_id)
    {
        try{
            $result = $this->client->get('notifications/'.$notification_id, [
                'json'=>[
                ],
                'headers'=>[ 'Authorization' => 'Bearer ' . Cookie::get("api_token")]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {

            return $this->formulateErrorResponse($ex);
        }
    }
}
