<?php


namespace App\Traits;


use GuzzleHttp\Client;
use GuzzleHttp\Exception\ClientException;

trait AuthTrait
{
    use ErrorTrait;

    public function userLogin(object $user_details)
    {
        $slug=getenv("PROGRAM_SLUG");
        try{
            $result = $this->client->post($slug.'/login', [
                'json'=>[
                    "email"=>$user_details->email,
                    "password"=>$user_details->password
                ]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }
    }

    public function pingServer()
    {
        try{
            $result = $this->client->get('/', []);
            $response = json_decode($result->getBody()->getContents());
            return (object)([
                'status_code'=>200,
                'response'=>$response
            ]);
        }catch(ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }

    }
}
