<?php


namespace App\Traits;


use GuzzleHttp\Exception\ClientException;

trait ErrorTrait
{

    public function formulateErrorResponse(ClientException $ex)
    {
        $status_code = $ex->getCode();
        switch ($status_code)
        {
            case 404:
                return (object)([
                    'message'=>"Route not found",
                    'status_code'=>$status_code
                ]);
            case 401:
                $message = json_decode($ex->getResponse()->getBody()->getContents())->message;
                return (object)([
                    'message'=>$message,
                    'status_code'=>$status_code
                ]);
            case $status_code>=400 && $status_code < 500:
                //$message = json_decode($ex->getResponse()->getBody()->getContents())->message;
                return (object)([
                    'message'=>"Forbidden route",
                    'status_code'=>$status_code
                ]);
            default:
                return (object)([
                    'message'=>'An Unknown server error',
                    'status_code'=>$status_code
                ]);


        }
    }
}
