<?php


namespace App\Traits;


use GuzzleHttp\Exception\ClientException;
use Illuminate\Support\Facades\Cookie;

trait ProfileTrait
{
    use ErrorTrait;
    public function userProfile()
    {
        try{
            $result = $this->client->get('profile', [
                'headers'=>[ 'Authorization' => 'Bearer ' . Cookie::get("api_token")]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }
    }

    public function updateUserProfile(object $profile_detail)
    {
        try{
            $result = $this->client->post('profile', [
                'json'=>[
                    'first_name'=>$profile_detail->first_name,
                    'last_name'=>$profile_detail->last_name,
                    'phone_no'=>$profile_detail->phone_no,
                    'current_address'=>$profile_detail->address,
                    'state_id'=>$profile_detail->state_id,
                    'city_id'=>$profile_detail->city_id,
                    'country_id'=>$profile_detail->country_id,
                ],
                'headers'=>[ 'Authorization' => 'Bearer ' . Cookie::get("api_token")]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }
    }
}
