<?php


namespace App\Traits;


use GuzzleHttp\Exception\ClientException;
use Illuminate\Support\Facades\Cookie;

trait UtilityTrait
{
    Use ErrorTrait;

    public function getStates($country_id)
    {
        try{
            $result = $this->client->get('country/'.$country_id, [

            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }
    }

    public function getCities($states_id)
    {
        try{
            $result = $this->client->get('states/'.$states_id, [

            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }
    }

    public function sendContactMessage($message_detail)
    {
        $slug = getenv('PROGRAM_SLUG');
        try{
            $result = $this->client->post($slug.'/contact', [
                'json'=>[
                    'first_name'=>$message_detail->first_name,
                    'last_name'=>$message_detail->last_name,
                    'email'=>$message_detail->email,
                    'phone_number'=>$message_detail->phone_number,
                    'message'=>$message_detail->message
                ]
            ]);
            $response = json_decode($result->getBody()->getContents());
            return ((object)[
                'status_code'=>200,
                "response"=>$response
            ]);
        }catch (ClientException $ex)
        {
            return $this->formulateErrorResponse($ex);
        }
    }

}
