@section('styles')

@endsection
@extends("layouts.app")
@section('main-content')
    <div class="row">
        <div class="col-md-7">
            <div class="container4">
                <img src="{{asset('assets/img/login.jpg')}}" alt="" id="login-modal">
                <div class="centered">
                    <h1 style="font-size: 56px;"><strong>WELCOME TO <br>
                            <span style="color:  #AE996E;">WHEATBAKER</span><br><span style="color:  #AE996E;">REWARD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></strong></h1>
                    <p>Login now to get more out of your Wheatbaker experience</p>
                </div>
            </div>


        </div>
        <div class="col-md-5" id="login_style">
            <div >
                <form action="#" class="popup-form" id="login-form">
                    <h1 style="text-align: center; color: #AE996E;"> <strong>Login</strong></h1>
                    <input type="email" id="email" class="form-control form-white" required placeholder="Email Address">
                    <input type="password" id="password" class="form-control form-white" required placeholder="Password">
                    <div class="alert success-msg alert-success"  role="alert">
                        <p><b>You've logged in successfully</b></p>
                    </div>
                    @if(session('message'))
                    <div class="alert alert-danger token-msg"  role="alert">
                        <b>{{session('message')}}</b>
                    </div>
                    @endif
                    <div class="alert alert-danger error-msg" id="error-msg" role="alert">
                        <b>Invalid email and password combination</b>
                    </div>
                    <div class="text-left">
                        <a href="{{route('reset')}}" class="forgot-pass"><strong>Forgot Password?</strong></a>
                    </div>
                    <button type="submit" id="submit-btn" class="btn btn-submit">Login</button>
                </form>
            </div>

        </div>
    </div>
@endsection

@section('scripts')
    <script type="text/javascript">
        $('.form-white').keyup(function(){
            $('.error-msg').fadeOut();
            $('.token-msg').hide();
        })
        $('#login-form').submit(function(e){
            e.preventDefault();
            let email = $('#email').val();
            let password = $('#password').val();

            if(email != "" && password!="")
            {
                $('#submit-btn').attr("disabled",true);
                $('#submit-btn').html("Connecting...");
                $.ajax({
                    type:'POST',
                    url:"{{route('login')}}",
                    data:{email,password},
                    success:function(data){
                        if(data.status === 1)
                        {
                            $('#submit-btn').attr("disabled",false);
                            $('#submit-btn').html("Login");
                            $('.success-msg').fadeIn(200);
                            window.location.href = data.url
                        }else
                        {
                            $('#submit-btn').attr("disabled",false);
                            $('#submit-btn').html("Login");
                            $('#error-msg').html(data.message)
                            $('#error-msg').fadeIn(500)
                        }

                    }
                })
            }else{
                $('#error-msg').html("The email and password is required")
                $('#error-msg').fadeIn(500)
            }

        })
    </script>
@endsection
