<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use function foo\func;

Route::get('/','HomeController@index')->name('index');
Route::get('/faq','HomeController@faq')->name('faq');

Route::get('/contact','HomeController@contact')->name('contact');
Route::post('/contact','HomeController@sendMessage');


Route::post('/states','HomeController@states')->name('states');
Route::post('/cities','HomeController@cities')->name('cities');

Route::get('/login','AuthController@login')->name('login');
Route::post('/login','AuthController@postLogin');

Route::get('/reset_password','PasswordController@resetPassword')->name('reset');
Route::post('/reset_password','PasswordController@sendPasswordRequest');

Route::get('/change_password','PasswordController@resetOldPassword')->name('password.reset');
Route::post('/change_password','PasswordController@sendPasswordReset');

Route::post('/password','PasswordController@changePassword')
        ->name('password.change')->middleware('custom-auth');



Route::post('/logout','AuthController@logout')->name('logout');

Route::group(['namespace'=>'User'],function(){

    Route::get("/profile","UserController@profile")->name("profile");
    Route::post("/profile","UserController@updateProfile");

    Route::get("/notifications","AccountController@notifications")->name("notifications");
    Route::get("/more_notifications","AccountController@moreNotifications")->name("notifications.more");
    Route::post("/notifications","AccountController@deleteNotification");
    Route::post("/read_notification","AccountController@makeNotificationAsRead")->name('notification.mark');

    Route::get("/statement","AccountController@userStatement")->name('statement');
    Route::post("/statement","AccountController@getStatement");
});
