<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <style>
        .row-read{
           background-color: #f9f9f9 !important;
        }
        .page-item .page-link,
        .page-item .page-link:active,
        .page-item .page-link:link{
            color:#AE996E;
            outline: 0;
            box-shadow: none;
        }
        .page-item .page-link:hover,
        .page-item.active .page-link:hover,
        .page-item.active .page-link{
            color:#fff;
            background-color: #AE996E;
            border-color: #AE996E;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('main-content'); ?>
    <?php echo $__env->make('layouts.account_banner',['title'=>"Notifications","image"=>asset('assets/img/notification.jpg')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- Content ================================================== -->
    <div class="container margin_60_35">
        <div class="row" id="order-summary">
            <div class="col-sm-12 col-md-4">
                <div>
                    <p><a style="text-align: left; background: #AE996E; color: white;" class="btn_side">Filter</a></p>
                    <div class="box_style_1">
                        <table class="table table-striped cart-list">
                            <tbody>
                            <tr>
                                <td valign="center">
                                    <p><a href="<?php echo e(route('notifications')); ?>">All message</a></p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p><a href="<?php echo e(route('notifications',['read'=>0])); ?>">Unread Messages</a></p>
                                </td>

                            </tr>
                            <tr>
                                <td>
                                    <p><a href="<?php echo e(route('notifications',['read'=>1])); ?>">Read Messages</a></p>
                                </td>

                            </tr>


                            </tbody>
                        </table>
                    </div><!-- End box_style_1 -->

                </div><!-- End col-md-3 -->
            </div>

            <div class="col-sm-12 col-md-7">
                <div class="box_style_2" id="order_process">
                    <h2 class="inner2">Messages</h2>
                    <table id="notifications-table" class="table cart-list">
                        <tbody>
                        <?php $__currentLoopData = $response->data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="<?php echo e($notification->Note_open==0?'row-read':""); ?>" id="notifications-row-<?php echo e($notification->User_notification_id); ?>">
                                    <td>
                                        <p><?php echo e($notification->Creation_date); ?></p>
                                    </td>
                                    <td>
                                        <p><a class="communication-comp"
                                            data-content="<?php echo e($notification->Contents); ?>"
                                            data-read="<?php echo e($notification->Note_open); ?>"
                                            data-id="<?php echo e($notification->User_notification_id); ?>"
                                            style="color: black;" href="#0"
                                            data-toggle="modal" data-target="#register">
                                                <?php echo e($notification->Transaction_type); ?>

                                            </a></p>
                                    </td>
                                    <td>
                                        <p><a href="javascript:void(0)"
                                            class="delete-notification"
                                            data-id="<?php echo e($notification->User_notification_id); ?>"
                                            >
                                                <span><i class="material-icons"
                                                        style="font-size:12px;">delete</i></span>
                                                <span id="delete-<?php echo e($notification->User_notification_id); ?>">Delete</span>
                                            </a></p>
                                    </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php if($response->last_page>1): ?>
                    <div class="text-center">
                        <button type="button" data-url="<?php echo e(URL::full()); ?>"
                        id="load-more"
                        data-last_page="<?php echo e($response->last_page); ?>"
                        data-current_page="<?php echo e($response->current_page); ?>" class="btn btn-submit" 
                        style="width:150px;border-radius:100px;">Load More</button>
                    </div>
                    <?php endif; ?>
                   
                </div><!-- End box_style_1 -->
            </div><!-- End col-md-6 -->

            <div class="col-md-3"></div>
        </div><!-- End row -->
    </div><!-- End container -->
    <!-- End Content =============================================== -->
    <!-- Register modal -->
    <div class="modal fade" id="register" tabindex="-1" role="dialog" aria-labelledby="myRegister" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content modal-popup">
                <a style="color: black;" href="#" class="close-link"><i class="icon_close_alt2"></i></a>

                <br>
                <br>
                <div id="notification_detail">

                </div>
            </div>

        </div>
    </div>
    <!-- End Register modal -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <script>
        $('.communication-comp').on("click",function(){
            let content = $(this).data('content');
            $('#notification_detail').html(content);

            if($(this).data('read')==0)
            {
                let notification_id =  $(this).data('id')
                $('#notifications-row-'+notification_id).removeClass('row-read');
                $.ajax({
                    type:'POST',
                    url:"<?php echo e(route('notification.mark')); ?>",
                    data:{notification_id},
                    success:function(data){

                    }
                })
            }

        })

        $('#load-more').click(function(){

            $('#load-more').html("Loading...")
            $('#load-more').attr('disabled',true);
            let notification_url = $(this).data('url');
            let last_page=  $(this).data('last_page');
            let current_page=  $(this).data('current_page');
            let page= current_page+1;
            if(last_page > current_page)
            {
                $.ajax({
                    type:'GET',
                    url:"<?php echo e(route('notifications.more')); ?>",
                    data:{page},
                    success:function(data){
                        
                        if(page >= last_page)
                       {
                            $('#load-more').fadeOut();
                       }
                        $('#load-more').data('current_page',page)
                       let notificationComp = getNotificationsComponent(data.data);
                       $('table#notifications-table').find('tbody').append(notificationComp)
                      
                    }
                })
                $('#load-more').attr('disabled',false);
                $('#load-more').html("Load More")
            }else{

                $('#load-more').fadeOut(200);
                $('#load-more').attr('disabled',false);
                $('#load-more').html("Load More")
            }

        })
        

        function getNotificationsComponent(items)
        {
            let notificationComp = "";
            items.map(function(item){
                notificationComp+=`
                <tr class="${item.Note_open==0?'row-read':''}" 
                    id="notifications-row-${item.User_notification_id}">
                    <td>
                        <p> ${item.Creation_date} </p>
                    </td>
                    <td>
                        <p><a class="communication-comp"
                            data-content='${item.Contents}'
                            data-read="${item.Note_open}"
                            data-id="${item.User_notification_id}"
                            style="color: black;" href="#0"
                            data-toggle="modal" data-target="#register">
                                ${item.Transaction_type}
                            </a></p>
                    </td>
                    <td>
                        <p><a href="javascript:void(0)"
                            class="delete-notification"
                            data-id="${item.User_notification_id}"
                            >
                                <span><i class="material-icons"
                                        style="font-size:12px;">delete</i></span>
                                <span id="delete-${item.User_notification_id}}">Delete</span>
                            </a></p>
                    </td>
                </tr>
                `;
            })

            return notificationComp;
        }

        $(document).on("click",'.delete-notification',function(e){
            e.preventDefault();
            let notification_id = $(this).data('id');
            $(this).attr('disabled',true);
            $('#delete-'+notification_id).html("deleting...");
                $.ajax({
                    type:'POST',
                    url:"<?php echo e(route('notifications')); ?>",
                    data:{notification_id},
                    success:function(data){
                        if(data.status === 1)
                        {
                            toastr.success(data.message, 'Success Alert', {timeOut: 5000})
                            $('table tbody #notifications-row-'+notification_id).remove();
                        }else
                        {
                            $(this).attr('disabled',false);
                            $('#delete-'+notification_id).html("delete")
                            toastr.error(data.message, 'Error Alert', {timeOut: 5000})
                        }
                    }
                })
            })
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\wheatbaker\resources\views/user/notifications.blade.php ENDPATH**/ ?>