<!DOCTYPE html>
<!--[if IE 9]><html class="ie ie9"> <![endif]-->
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta name="keywords" content="pizza, delivery food, fast food, sushi, take away, chinese, italian food">
    <meta name="description" content="">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>WheatBaker - Welcome to WheatBaker, home of unlimited reward</title>
    <!-- Favicons-->
    <link rel="shortcut icon" href="<?php echo e(asset('assets/img/favicon.ico')); ?>" type="image/x-icon" />
    <link rel="apple-touch-icon" type="image/x-icon" href="<?php echo e(asset('assets/img/apple-touch-icon-57x57-precomposed.png')); ?>" />
    <link rel="apple-touch-icon" type="image/x-icon" sizes="72x72" href="<?php echo e(asset('assets/"img/apple-touch-icon-72x72-precomposed.png')); ?>" />
    <link rel="apple-touch-icon" type="image/x-icon" sizes="114x114" href="<?php echo e(asset('img/apple-touch-icon-114x114-precomposed.png')); ?>" />
    <link rel="apple-touch-icon" type="image/x-icon" sizes="144x144" href="<?php echo e(asset('img/apple-touch-icon-144x144-precomposed.png')); ?>" />
    <!-- GOOGLE WEB FONT -->
    <link href="https://fonts.googleapis.com/css?family=Playfair+Display&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href='https://fonts.googleapis.com/css?family=Lato:400,700,900,400italic,700italic,300,300italic'
          rel='stylesheet' type='text/css'>
    <!-- BASE CSS -->

    <!-- SPECIFIC CSS -->
    <link href="<?php echo e(asset('assets/layerslider/css/layerslider.css')); ?>" rel="stylesheet">
    <style>
        .error-msg,.success-msg{
            font-weight: 900;
            display: none;
        }
        #toast-container .toast-message,
#toast-container .toast-title{

  font-size:1.4rem !important;
}
#toast-container .toast{
  z-index:999999999999999999999999999999!important;
  width:30rem !important;
  box-shadow:none !important;
}

#toast-container{
  z-index:999999999999999999999999999999!important;
}

    </style>
    <?php echo $__env->yieldContent('styles'); ?>
    <link href="<?php echo e(asset('assets/css/base.css')); ?>" rel="stylesheet">
    <!--[if lt IE 9]>
    <script src="js/html5shiv.min.js"></script>
    <script src="js/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<!--[if lte IE 8]>
<p class="chromeframe">You are using an <strong>outdated</strong> browser.
Please <a href="http://browsehappy.com/">upgrade your browser</a>.</p>
<![endif]-->
<div id="preloader">
    <div class="sk-spinner sk-spinner-wave" id="status">
        <div class="sk-rect1"></div>
        <div class="sk-rect2"></div>
        <div class="sk-rect3"></div>
        <div class="sk-rect4"></div>
        <div class="sk-rect5"></div>
    </div>
</div><!-- End Preload -->

<!-- Header ================================================== -->
<header>
    <div class="container-fluid">
        <div class="row">
            <div style="padding-left: 5%;" class="col--md-4 col-sm-4 col-xs-4">
                <a href="<?php echo e(route('index')); ?>" id="logo">
                    <img src="<?php echo e(asset('assets/img/wheat_baker_logo.png')); ?>" width="210" height="50" alt="wheat_baker_logo"
                         data-retina="true" class="hidden-xs">
                    <img src="<?php echo e(asset('assets/img/logo_mobile.png')); ?>" width="59" height="23" alt="" data-retina="true" class="hidden-lg hidden-md hidden-sm">
                </a>
            </div>
            <nav style="padding-top: 1.2%;padding-right:3rem;" class="col--md-8 col-sm-8 col-xs-8">
                <a class="cmn-toggle-switch cmn-toggle-switch__htx open_close" href="javascript:void(0);"><span>Menu mobile</span></a>
                <div class="main-menu">
                    <div id="header_menu">
                        <img src="<?php echo e(asset('assets/img/logo.png')); ?>" width="190" height="23" alt="" data-retina="true">
                    </div>
                    <a href="#" class="open_close" id="close_in"><i class="icon_close"></i></a>
                    <ul>
                        <li>
                            <a href="<?php echo e(route('index')); ?>" class="show-submenu">Home</a>
                        </li>
                        <li><a href="<?php echo e(route('faq')); ?>">FAQs</a></li>
                        <?php if(Cookie::get('api_token') != null): ?>
                        <li><a href="#">Current Bal: 12345567.56 </a></li>
                        <li class="submenu">
                            <a href="javascript:void(0);" class="show-submenu">Account<i class="icon-down-open-mini"></i></a>
                            <ul>
                                <li><a href="<?php echo e(route('profile')); ?>">My Profile</a></li>
                                <li><a href="<?php echo e(route('notifications')); ?>">Notification</a></li>
                                <li><a href="<?php echo e(route('statement')); ?>">Statement</a></li>

                                    <form style="display: none;"
                                          action="<?php echo e(route('logout')); ?>" method="POST" id="logout-form">
                                        <?php echo csrf_field(); ?>
                                    </form>

                                    <li><a href="javascript:void(0)"
                                           onclick="document.getElementById('logout-form').submit()"
                                        >Log Out</a></li>

                            </ul>
                        </li>
                        <?php else: ?>
                            <li><a href="<?php echo e(route('login')); ?>">Login</a></li>
                        <?php endif; ?>
                    </ul>
                </div><!-- End main-menu -->
            </nav>
        </div><!-- End row -->
    </div><!-- End container -->
</header>
<!-- End Header =============================================== -->
<?php echo $__env->yieldContent('main-content'); ?>
<!-- Footer ================================================== -->
<!-- Footer ================================================== -->
<footer id="full-footer">
    <div class="container">
        <div class="row" id="footer">
            <div class="col-md-2 col-sm-2">
                <h3>About Us</h3>
                <ul>
                    <li><a href="<?php echo e(route('index')); ?>">Home</a></li>
                    <li><a href="">About WheatBaker Rewards</a></li>
                    <li><a href="<?php echo e(route('faq')); ?>">FAQs</a></li>
                    <li><a href="<?php echo e(route('contact')); ?>">Contact Us</a></li>
                </ul>
            </div>
            <div class="col-md-2 col-sm-2">
                <h3>Quick Links</h3>
                <ul>
                    <li><a href="#">Rooms</a></li>
                    <li><a href="#">Meals</a></li>
                    <li><a href="#">Spa</a></li>

                </ul>
            </div>
            <div class="col-md-2 col-sm-2">
                <h3 style="visibility: hidden;" class="break">1</h3>
                <ul>
                    <li><a href="user_profile.html">My Profile</a></li>
                    <li><a href="notifications.html">Notification</a></li>
                    <li><a href="statements.html">Statement</a></li>
                    <li><a href="#">Auction</a></li>
                </ul>
            </div>
            <div class="col-md-3 col-sm-3" id="newsletter">
                <h3>Contact Us</h3>
                <p>
                    4 Onitolo Road (Old Lawrence Rd) Ikoyi, Lagos, Nigeria
                    <br> + 234(1) 277 3560 <br> +234 1 9067154
                </p>


            </div>
            <div class="col-md-3 col-sm-3">
                <h3>Enquires</h3>
                <p>enquiries@thewheatbakerlagos.com</p>
                <p>reservation@thewheatbakerlagos.com</p>

            </div>
        </div><!-- End row -->
        <div class="row">
            <div class="col-md-12">
                <div id="social_footer">
                    <ul>
                        <li><a href="#0"><i class="icon-facebook"></i></a></li>
                        <li><a href="#0"><i class="icon-twitter"></i></a></li>
                        <li><a href="#0"><i class="icon-google"></i></a></li>
                        <li><a href="#0"><i class="icon-instagram"></i></a></li>
                        <li><a href="#0"><i class="icon-pinterest"></i></a></li>
                        <li><a href="#0"><i class="icon-vimeo"></i></a></li>
                        <li><a href="#0"><i class="icon-youtube-play"></i></a></li>
                    </ul>
                    <p>
                        © WheatBaker 2019
                    </p>
                </div>
            </div>
        </div><!-- End row -->
    </div><!-- End container -->
</footer>
<!-- End Footer =============================================== -->

<div class="layer"></div>
<!-- Mobile menu overlay mask -->

<!-- COMMON SCRIPTS -->
<script src="<?php echo e(asset('assets/js/jquery-2.2.4.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/common_scripts_min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/functions.js')); ?>"></script>
<script src="<?php echo e(asset('assets/validate.js')); ?>"></script>
<!-- SPECIFIC SCRIPTS -->
<script src="<?php echo e(asset('assets/layerslider/js/greensock.js')); ?>"></script>
<script src="<?php echo e(asset('assets/layerslider/js/layerslider.transitions.js')); ?>"></script>
<script src="<?php echo e(asset('assets/layerslider/js/layerslider.kreaturamedia.jquery.js')); ?>"></script>
<script>
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
</script>
<script type="text/javascript">
    $(document).ready(function(){
        'use strict';
        $('#layerslider').layerSlider({
            autoStart: true,
            responsive: true,
            responsiveUnder: 1280,
            layersContainer: 1170,
            navButtons:false,
            showCircleTimer:false,
            navStartStop:false,
            skinsPath: 'assets/layerslider/skins/'
            // Please make sure that you didn't forget to add a comma to the line endings
            // except the last line!
        });
    });
</script>
<?php echo $__env->yieldContent('scripts'); ?>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\wheatbaker\resources\views/layouts/app.blade.php ENDPATH**/ ?>